Bug 28207 - cpio-2.4.2-20.i386.rpm missing during upgrade from 6.1 to 7.0
Summary: cpio-2.4.2-20.i386.rpm missing during upgrade from 6.1 to 7.0
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: David Lawrence
URL: none found
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-18 05:28 UTC by baudmax
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-21 18:03:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description baudmax 2001-02-18 05:28:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


'/mnt/source/RedHat/RPMS/cpio-2.4.2-20.i386.rpm' not found during upgrade 
from RH6.1 to RH7.0 causing installer to bomb out before completing upgrade

Reproducible: Didn't try
Steps to Reproduce:
1.install RedHat 6.1
2.Reboot w/RH 7.0 Bootdisk
3.Upgrade existing RedHat installation

	

Actual Results:  Bombed out while upgrading from 6.1 to 7.0, due to file 
not found:
OSError: [Errno 2] No such file or 
directory: '/mnt/source/RedHat/RPMS/cpio-2.4.2-20.i386.rpm'



Expected Results:  I would have liked it to have upgraded smoothly without 
bombing

----------------------------
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1543, in 
doInstall
    self.instCallback, p)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1298, in 
instCallback
    self.rpmFD = os.open(fn, os.O_RDONLY)
OSError: [Errno 2] No such file or 
directory: '/mnt/source/RedHat/RPMS/cpio-2.4.2-20.i386.rpm'

Local variables in innermost frame:
fn: /mnt/source/RedHat/RPMS/cpio-2.4.2-20.i386.rpm
total: 0
self: <todo.ToDo instance at 827c730>
h: <header object at 85f7db0>
amount: 0
intf: <text.InstallProgressWindow instance at 909f0f0>
what: 2

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'currentDisc'
p6
I1
sS'tree'
p7
S'/mnt/source'
sS'device'
p8
S'hdb'
sS'progressWindow'
p9

<failed>

Comment 1 Michael Fulbright 2001-02-21 18:03:27 UTC
If you can mount the CD on a linux system, try running the command

rpm -K --nogpg <path to cpio-2.4.2-20.i386.rpm>

and see what it outputs.

Your CD is most likely bad.


Comment 2 Michael Fulbright 2001-04-02 20:01:26 UTC
Closing due to inactivity - please reopen if you have anything to add to the bug
report.


Note You need to log in before you can comment on or make changes to this bug.